Aden

Albums

Album management — read endpoints available via API key

GET
/api/v1/albums/

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Query Parameters

teamId?string
limit?string
offset?string
curl -X GET "https://example.com/api/v1/albums/"
GET
/api/v1/albums/links

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Query Parameters

teamId*string
curl -X GET "https://example.com/api/v1/albums/links?teamId=string"
GET
/api/v1/albums/{id}

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/albums/string"
DELETE
/api/v1/albums/{id}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X DELETE "https://example.com/api/v1/albums/string"
GET
/api/v1/albums/{id}/collaborators

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/albums/string/collaborators"
PATCH
/api/v1/albums/{id}/status

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X PATCH "https://example.com/api/v1/albums/string/status" \  -H "Content-Type: application/json" \  -d '{    "status": "idea"  }'
POST
/api/v1/albums/{id}/tracks

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/albums/string/tracks" \  -H "Content-Type: application/json" \  -d '{    "trackIds": [      0    ]  }'
DELETE
/api/v1/albums/{id}/tracks/{trackId}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
trackId*string
curl -X DELETE "https://example.com/api/v1/albums/string/tracks/string"
POST
/api/v1/albums/reorder

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/albums/reorder" \  -H "Content-Type: application/json" \  -d '{    "status_id": "string",    "album_orders": [      {        "albumId": 0,        "order": 0      }    ]  }'
POST
/api/v1/albums/{id}/tracks/reorder

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/albums/string/tracks/reorder" \  -H "Content-Type: application/json" \  -d '{    "trackOrders": [      {        "trackId": 0,        "order": 0      }    ]  }'
Was this helpful?